import Link from "next/link";

interface IColumnHeader {
  Header: string;
  accessor: string;
  Cell?: (info: any) => JSX.Element;

}

type Columns = IColumnHeader[];

export const columnsDataBlocks: Columns = [
  {
    Header: "Case Id",
    accessor: "id",
    Cell: ({ row }) => <Link href={`/admin/cases/edit/${row?.original?.id}`}>{row?.original?.id}</Link>,
  },
  {
    Header: "Contract Account",
    accessor: "contract_account",
  },
  {
    Header: "Contract",
    accessor: "contract",
  },
  {
    Header: "Name",
    accessor: "name",
  },
  {
    Header: "Consumer No",
    accessor: "consumer_no",
  },
  {
    Header: "Meter No",
    accessor: "meter_no",
  },
  {
    Header: "Address",
    accessor: "address",
  },
  {
    Header: "MRU",
    accessor: "mru",
  },
  {
    Header: "Rate Tariff",
    accessor: "rate_tariff",
  },
  {
    Header: "Due BCM",
    accessor: "due_bcm",
  },
  {
    Header: "Total Due Units",
    accessor: "total_due_units",
  },
  {
    Header: "Total Due Billing",
    accessor: "total_due_billing",
  },
  {
    Header: "Last Payment Date",
    accessor: "last_payment_date",
  },
  {
    Header: "Last Payment Amount",
    accessor: "last_payment_amount",
  },
  {
    Header: "Dues",
    accessor: "dues",
  },
];

